
#include "cola.h"

#define PUERTO_HTTP 80
#define PERMISOS_CREACION S_IRUSR | S_IWUSR | S_IXUSR
#define TAM_SENTENCIA_HTTP 500
#define TAM_FICHERO_HTML 1000000
#define TAM_BUFFER_HTML 1024
#define TAM_NOMBRE_IMAGEN 256
#define TAM_BUFFER_IMAGEN 1024
#define TAM_TABLA_HASH 500
#define PETICION_HOME_PAGE 1
#define PETICION_IMAGEN 2
#define TAM_NOMBRE_DIRECTORIO 128
#define DIRECTORIO_RAIZ 1
#define SUBDIRECTORIO 2
#define INTENTOS_DESCARGA_IMAGEN 3

Cola *buscador_imagenes (char *texto_html);
int conexion_servidor (char *servidor, int interfaz);
int obtener_home_page (int sock, char *peticion_http, char *texto_html, char *nombre_servidor, int interfaz);
void construir_peticion_http (int modo, char *sentencia, char *nombre_servidor, char *nombre_elemento);
int comprobar_imagen_enlazada (char *imagen, char *servidor_enlace, char *imagen_enlace);
void solicitar_imagenes (char *nombre_servidor, Cola *cola, char *directorio, int interfaz);
void comprobar_directorio (char *directorio, char *subdirectorio, int modo);

