
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <gtk/gtk.h>
#include <gdk/gdkx.h>
#include "mensajes.h"

GtkWidget *objeto = NULL;
#ifndef lookup_widget
GtkWidget* lookup_widget (GtkWidget *widget, const gchar *widget_name);
#endif

void establecer_widget_referencia (GtkWidget *widget)
{
   objeto = widget;
}

gpointer actualizar_interficie (gpointer data) 
{
   GtkWidget *label_estado;

   char *texto = (char *) data;
   gdk_threads_enter();
   label_estado = GTK_WIDGET(lookup_widget(GTK_WIDGET(objeto),"label_Estado"));
   gtk_label_set_text(GTK_LABEL(label_estado),texto);
   gdk_flush ();
   gdk_threads_leave();
}

void imprimir_informacion_estado (char *info, int interfaz)
{
   if (interfaz == MODO_GRAFICO) {
      if (objeto != NULL) {
         //g_thread_create (actualizar_interficie,(gpointer)info,FALSE,NULL);
      }
   }
   else if (interfaz == MODO_TEXTUAL) {
      fprintf(stdout,info);
      fflush(stdout);
   }
}

#ifndef lookup_widget
GtkWidget* lookup_widget (GtkWidget *widget, const gchar *widget_name)
{
  GtkWidget *parent, *found_widget;

  for (;;)
    {
      if (GTK_IS_MENU (widget))
        parent = gtk_menu_get_attach_widget (GTK_MENU (widget));
      else
        parent = widget->parent;
      if (!parent)
        parent = g_object_get_data (G_OBJECT (widget), "GladeParentKey");
      if (parent == NULL)
        break;
      widget = parent;
    }

  found_widget = (GtkWidget*) g_object_get_data (G_OBJECT (widget),widget_name);
  if (!found_widget)
    g_warning ("Widget not found: %s", widget_name);
  return found_widget;
}
#endif
